Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004635TestLinkFilterspublic2011-06-25 15:162013-05-26 20:06
ReporterJulian 
Assigned Toasimon 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004635: Filter by Status not working properly on test exec assignment when platforms are used
DescriptionFilter by Status not working properly on test exec assignment when platforms are used
Steps To Reproduce1. Define 2 platforms
2. add 1 test cases to test plan for each platform -> 2 test cases in total
3. Execute test case for both platforms on the same build (1 passed, 1 blocked)
4. create a new build
5. go to assign test execution
6. filter by status "passed" on "last exec"
7. filter by status "blocked" on "last exec"

expected: after applying each filter the test case must be visible

actual result: after applying each filter the test case is only visible in one case
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0005176closedfman Possibility to filter by Platform 
related to 0004905closedfman Test Case Tester Assignment - filters dont work properly for 'Assigned to' Field 

-  Notes
(0015321)
Julian (reporter)
2011-06-25 15:18

This requires to add a platform filter that belongs to the result filter

Examples:

Failed on last execution with platform [Any]
Failed on last execution with platform "PlatformA"
Failed on last execution with platform "PlatformA" and "PlatformB" (requires Advanced Filters) [Medium Prio]

Failed,Blocked on last execution with platform "PlatformA"
(0015752)
fman (administrator)
2011-08-24 10:31

I think first simple approach is on GUI

Result: PASSED
On : Last execution on ANY Platform

With the string on ANY Platform that has to be added to OPTION only if test plan has linked Platforms.
(0017652)
asimon (developer)
2012-10-10 12:58

This problem has already been solved in version 1.9.4 by the fix to issue 5176. The selected platform from settings panel is used when filtering - so the results of filtering are correct now.

- Issue History
Date Modified Username Field Change
2011-06-25 15:16 Julian New Issue
2011-06-25 15:16 Julian Status new => assigned
2011-06-25 15:16 Julian Assigned To => asimon
2011-06-25 15:18 Julian Note Added: 0015321
2011-08-24 10:31 fman Note Added: 0015752
2012-05-15 04:20 asimon Relationship added related to 0004905
2012-10-10 12:55 asimon Relationship added related to 0005176
2012-10-10 12:58 asimon Task Workflow Status => READY FOR TESTING
2012-10-10 12:58 asimon Note Added: 0017652
2012-10-10 12:58 asimon Status assigned => resolved
2012-10-10 12:58 asimon Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-10-10 12:58 asimon Resolution open => fixed
2013-05-26 20:06 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker